from django import forms
from django.contrib.auth.models import User
from django.contrib.auth.forms import UserCreationForm
from .models import lab, labComputo


        
class Formlab(forms.ModelForm):
    class Meta:
        model = lab
        fields = ('usuario', 'id_lab', 'id_asig', 'id_area', 'id_mat', 'uso')


class FormlabEnv(forms.ModelForm):
    class Meta:
        model = lab
        fields = ('id_asig', 'id_area', 'id_mat', 'uso')


class FormlabComputo(forms.ModelForm):
    class Meta:
        model = labComputo
        fields = ('usuario', 'id_lab', 'id_asig', 'id_area', 'id_mat', 'uso')


class FormlabComputoEnv(forms.ModelForm):
    class Meta:
        model = labComputo
        fields = ('id_asig', 'id_area', 'id_mat', 'uso')